Update a joint venture invoicing partner

patch

/fscmRestApi/resources/11.13.18.05/jointVentureInvoicingPartners/{invoicingPartnerId}

Request

Path Parameters
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Invoicing Partner Descriptive Flexfields
Type: array
Title: Invoicing Partner Descriptive Flexfields
The joint venture invoicing partner descriptive flexfields resource is used to manage details about the descriptive flexfield references for a joint venture.
Show Source
Nested Schema : jointVentureInvoicingPartners-invoicingPartnerDFF-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : jointVentureInvoicingPartners-item-response
Type: object
Show Source
Nested Schema : Invoicing Partner Descriptive Flexfields
Type: array
Title: Invoicing Partner Descriptive Flexfields
The joint venture invoicing partner descriptive flexfields resource is used to manage details about the descriptive flexfield references for a joint venture.
Show Source
Nested Schema : jointVentureInvoicingPartners-invoicingPartnerDFF-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to update an invoicing partner by submitting a PATCH request on the REST resource using cURL.

curl -u "username:password" -i -X PATCH -H "Content-Type: application/json" -d "<payload>" "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureInvoicingPartners/300100660333607"

Request Body Example

The following shows an example of the request body in JSON format.

{
  "invoicingPartnerDescription": "Seven Petroleum Corporation O&G Division",
  "invoicingPartnerStatus": "Pending"
} 

Response Body Example

The following shows an example of the response body in JSON format.

{
   "invoicingPartnerDescription": "Seven Petroleum Corporation O&G Division",
   "invoicingPartnerId": 300100660333607,
   "invoicingPartnerName": "SEVENPETROLEUM",
   "invoicingPartnerShortName": "SEVENPETROLEUM",
   "supplierPartyName": "Seven Petroleum Equipment Organization4",
   "customerPartyName": null,
   "supplierBU": null,
   "supplierSiteCode": "Redwood Site",
   "supplierName": "Seven Petroleum Equipment Organization4",
   "invoicingPartnerStatus": "Pending",
   "customerTaxNumber": null,
   "supplierTaxNumber": "1234123412",
   "customerAccountNumber": null,
   "customerSetName": null,
   "customerSiteLocation": null,
   "warningMessage": null,
   "customerAccountName": null,
   "createdBy": "username",
   "creationDate": "2026-08-31T20:19:26+00:00",
   "lastUpdatedBy": "username",
   "lastUpdateDate": "2026-08-31T20:44:14+00:00",
   "supplierAddress": "500 Parkway,CA,Redwood City,94065,US",
   "customerAddress": null,
   "supplierEmailAddress": null,
   "customerEmailAddress": null,
   "supplierPhone": null,
   "customerPhone": null,
   "activeFlag": true,
   "businessUnitName": "Seven Petroleum USA BU1",
   "currencyCode": null,
   "jibTemplateName": null,
   "jibOutputFormat": null,
   "links": [
      {
         "rel": "self",
         "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureInvoicingPartners/300100660333607",
         "name": "jointVentureInvoicingPartners",
         "kind": "item",
         "properties": {
            "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
         }
      },
      {
         "rel": "canonical",
         "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureInvoicingPartners/300100660333607",
         "name": "jointVentureInvoicingPartners",
         "kind": "item"
      },
      {
         "rel": "child",
         "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureInvoicingPartners/300100660333607/child/invoicingPartnerDFF",
         "name": "invoicingPartnerDFF",
         "kind": "collection"
      }
   ]
}
Back to Top